<script>
	export let onUpload;

	const onChange = (event) => {
		onUpload(event.target.files[0]);
	};
</script>

<div class="input-container">
	<label for="document">Upload your document here</label>
	<input id="document" name="document" type="file" on:change={onChange} />
</div>

<style>
	.input-container {
		display: flex;
		align-items: center;
		justify-content: center;
		flex-direction: column;
		width: 100vw;
	}
</style>
